% A4M33TZ 2011 - Root GUI

% T. Pajdla, pajdla@cmp.felk.cvut.cz
% 14 Feb 2011
%% GUI structures
if ~exist('TZRootRunning','var')
    % Clear, close all if for the first time from the command line.
    addpath tz2011      % TZ 2011 utilities    
    closeall            % hardcore close all
    clear               % clear variables
    % Initialize parameters structure ps
    ps.CamError = false;
    ps.CamPlanes = false;
    ps.RfError = false;  
    ps.Exit = false;
    % Costruct GUI for the ps parameters
    gf(1) = subfig(4,8,1);             % GUI window
    set(gcf,'closerequestfcn',[]);     % make GUI unclosable
    % create the GUI 
    tzgui(ps,'ps',[size(fieldnames(ps),1)+1 1],'rfcamcal','TZ-2011');   
    tzcutscreen(gf(1));                % shrink the screen 
    TZRootRunning = true;              % GUI is running     
else % Close all except the unclosable GUI and keep existing parameters
    close all
end
% Close and clear all and exit
if ps.Exit
    closeall
    clear all
    return
end

if ps.CamError
    [tempFileName,tempFilePath]=uigetfile('*.mat',...
    'Vyberte soubor ulozene kalibrace kamery(.mat)');

    if (tempFileName == 0)
        return;
    end
    
    load(strcat(tempFilePath,tempFileName));
    analyse_error;
end

if ps.CamPlanes
    [tempFileName,tempFilePath]=uigetfile('*.mat',...
    'Vyberte soubor ulozene kalibrace kamery(.mat)');

    if (tempFileName == 0)
        return;
    end
    
    load(strcat(tempFilePath,tempFileName));
    ext_calib;
    
end

if ps.RfError
    validate;
end



